# Class IfHasPermissionDirective

#### Implements

- OnInit
- OnDestroy

- Defined in lib/if-has-permission.directive.ts:24

#####
Index

### Constructors

constructor

### Properties

_subscription?
authorization
cdr
else?
identifier
scope
template
viewContainerRef

### Methods

ngOnDestroy
ngOnInit

## Constructors

### constructor

- new IfHasPermissionDirective(authorization, template, viewContainerRef, cdr, scope?): IfHasPermissionDirective

- #### Parameters

  - authorization: AuthorizationService
  - template: TemplateRef<any>
  - viewContainerRef: ViewContainerRef
  - cdr: ChangeDetectorRef
  - scope: string = null

  #### Returns IfHasPermissionDirective

  - Defined in lib/if-has-permission.directive.ts:34

## Properties

### `Private` `Optional` _subscription

_subscription?: Subscription

- Defined in lib/if-has-permission.directive.ts:32

### `Private` `Readonly` authorization

authorization: AuthorizationService

- Defined in lib/if-has-permission.directive.ts:36

### `Private` `Readonly` cdr

cdr: ChangeDetectorRef

- Defined in lib/if-has-permission.directive.ts:42

### `Optional` else

else?: TemplateRef<any>

- Defined in lib/if-has-permission.directive.ts:30

### identifier

identifier: string

- Defined in lib/if-has-permission.directive.ts:27

### `Private` `Readonly` scope

scope: string = null

- Defined in lib/if-has-permission.directive.ts:45

### `Private` `Readonly` template

template: TemplateRef<any>

- Defined in lib/if-has-permission.directive.ts:38

### `Private` `Readonly` viewContainerRef

viewContainerRef: ViewContainerRef

- Defined in lib/if-has-permission.directive.ts:40

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in lib/if-has-permission.directive.ts:67

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in lib/if-has-permission.directive.ts:49